import request from '@/utils/request'

export function login(params) {
  return request({
    url: 'user/login',
    method: 'POST',
    params: params
  })
}


export function loginRegister(data) {
  return request({
    url: '/user/register',
    method: 'post',
    data
  })
}







export function sendCode(data) {
  return request({
    url: '/Login/loginSms',
    method: 'post',
    data
  })
}

export function getInfo(token) {
  return request({
    url: '/vue-element-admin/user/info',
    method: 'get',
    params: { token }
  })
}

export function logout() {
  return request({
    url: '/Login/logout',
    method: 'post'
  })
}
